View Issue Details

IDProjectCategoryView StatusLast Update
0003422unrealdocumentationpublic2008-12-23 16:42
ReporterBockAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSallOS Versionall
Product Version3.2.7-RC1 
Target VersionFixed in Version3.2.7 
Summary0003422: Must be changed/added to documentation.
Descriptionhttp://www.vulnscan.org/UnrealIRCd/unreal32docs.html#useropercommands

dns <option>
Desc: Returns information about the IRC server's DNS cache. Note, since most clients have a built-in DNS command, you will most likely need to use /raw DNS to use this. Opers may specify an l as the first parameter to the command to receive a list of entries in the DNS cache.

Who: All

Who must be set to IRCop


cos: /raw dns
 ::: Permission Denied- You do not have the correct IRC operator privileges

and:
kill <nick> <reason>
Desc: Kills a user from the network

Must be set as in help.conf: kill <user1>,<user2>,<user3>,... <reason>
Desc: Kills a user(-s) from the network

Must be added to help:
rehash <server> –<flags>

-SSL reload of all SSL related data
-DNS reinitialaze resolver


maybe I smth missed about rehash?

mkpasswd <password> in docs, but:
 *** Syntax: /mkpasswd <authmethod> :parameter
Syntax: MKPASSWD <method> <password>
Example: MKPASSWD md5 IamTeh1337
in help.conf - must be listen in docs too.



module Lists all loaded modules All
must be: module <server> Lists all loaded modules All

and in help.conf too
Additional InformationUff, maybe I missed smth, must be read changes more carefully.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003111 closed 3.2.7 Release 
child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

Bock

2007-07-10 01:22

reporter   ~0014468

and in help.conf about svsnolag :P

2007-07-10 06:01

 

help.conf.diff (2,087 bytes)

Bock

2007-07-10 06:02

reporter   ~0014469

svsnolag + spamfilter updated

stskeeps

2007-07-10 06:12

reporter   ~0014470

Patched in .668

syzop

2008-12-23 16:42

administrator   ~0015512

(was already fixed in 3.2.7)

Issue History

Date Modified Username Field Change
2007-07-05 05:58 Bock New Issue
2007-07-09 16:07 stskeeps Status new => acknowledged
2007-07-09 16:07 stskeeps Relationship added child of 0003111
2007-07-10 01:22 Bock Note Added: 0014468
2007-07-10 06:01 Bock File Added: help.conf.diff
2007-07-10 06:02 Bock Note Added: 0014469
2007-07-10 06:12 stskeeps Note Added: 0014470
2007-09-06 10:13 syzop Relationship added child of 0003454
2008-12-23 16:42 syzop QA => Not touched yet by developer
2008-12-23 16:42 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-12-23 16:42 syzop Status acknowledged => resolved
2008-12-23 16:42 syzop Fixed in Version => 3.2.7
2008-12-23 16:42 syzop Resolution open => fixed
2008-12-23 16:42 syzop Assigned To => syzop
2008-12-23 16:42 syzop Note Added: 0015512